Device Provisioning Requirements

Note: USE AT YOUR OWN RISK. Agent provisioning requires a jailbroken or rooted device, which is the responsibility of the user. Provisioning should only be performed on test devices you own, which can be reset if needed, and which do not contain valuable user or business data.

NO WARRANTY: Agent software and the device provisioning process is provided as-is and without warranty. viaForensics is not responsible for any lost data, file corruption, or device operation problems caused by user’s jailbreaking/rooting, or by installation or use of the Agent software using the device provisioning feature. Please contact viaForensics Support for more information on device provisioning.

Android Devices

Android 4.0.4 - 4.3: There are no requirements for devices that fall into this range. NowSecure Lab will root and install the needed dependencies automatically.

Android 4.4+: You will need to root the device before it can be provisioned using NowSecure Lab. Once viaLab has detected a rooted device, it will install the needed dependencies automatically.

For additional information, see Provisioning an Android Device for Lab Workstation

iOS Devices

In order to start the provisioning process, the device must first be jailbroken and have Cydia installed. Once complete, you will need to add the NowSecure Lab repository as a source in Cydia, and install the needed packages. A step-by-step video is provided within the device provisioning wizard.

For additional information, see Provisioning an iOS Device for Lab Workstation